Page MenuHomePhabricator

CX categories unit tests fail because they rely on live content
Closed, ResolvedPublic

Description

ext.cx.tools.categories.test.js relies on the number of categories in https://es.wikipedia.org/wiki/Han_Feizi . If an editor changes it, the tests will fail.

Ideally it should rely on a stable fixture and not on live data. Till then we need to fix the number or disable the test to make it pass.

Unbreak Now because it prevents merging other code.

Event Timeline

Amire80 created this task.Sep 16 2015, 10:21 AM
Amire80 raised the priority of this task from to Unbreak Now!.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 10:21 AM

Change 238711 had a related patch set uploaded (by Amire80):
Update the data for the categories test

https://gerrit.wikimedia.org/r/238711

Change 238711 merged by jenkins-bot:
Update the data for the categories test

https://gerrit.wikimedia.org/r/238711

Amire80 lowered the priority of this task from Unbreak Now! to High.Sep 16 2015, 11:18 AM
Amire80 removed a project: Patch-For-Review.
Amire80 set Security to None.

OK, the value is fixed and the tests can pass. Can be moved out of the sprint, but it still needs to be fixed because it can break again.

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 16 2015, 12:36 PM

One option we discussed some time ago is to be able to point to a specific revision of an article. In that way real data, but more stable can be used.

Arrbee lowered the priority of this task from High to Normal.Sep 17 2015, 8:19 AM

Change 239844 had a related patch set uploaded (by KartikMistry):
Update the data for the categories test

https://gerrit.wikimedia.org/r/239844

Change 239844 merged by jenkins-bot:
Update the data for the categories test

https://gerrit.wikimedia.org/r/239844

Arrbee moved this task from Backlog to Done on the LE-CX6-Sprint 4 board.Sep 23 2015, 8:15 AM
Arrbee closed this task as Resolved.Sep 23 2015, 8:18 AM